Run AutoRAG agent over all data
curl --request POST \
--url https://api.datalinks.com/api/v1/query/autorag \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"username": "<string>",
"namespace": "<string>",
"query": "What do llamas drink to cool themselves down?",
"helperPrompt": "You're a prophet of the alpacalypse. Your task is to spit the word!",
"model": "<string>",
"provider": "<string>",
"conversationId": "<string>"
}
EOFimport requests
url = "https://api.datalinks.com/api/v1/query/autorag"
payload = {
"username": "<string>",
"namespace": "<string>",
"query": "What do llamas drink to cool themselves down?",
"helperPrompt": "You're a prophet of the alpacalypse. Your task is to spit the word!",
"model": "<string>",
"provider": "<string>",
"conversationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
namespace: '<string>',
query: 'What do llamas drink to cool themselves down?',
helperPrompt: 'You\'re a prophet of the alpacalypse. Your task is to spit the word!',
model: '<string>',
provider: '<string>',
conversationId: '<string>'
})
};
fetch('https://api.datalinks.com/api/v1/query/autorag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": "<string>",
"steps": [
{
"instruction": "<string>",
"query": "<string>",
"reasoning": "<string>",
"data": [
{}
]
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}autorag
Run AutoRAG agent over all data
Uses the AutoRAG agent to answer a question about any data that the user can access.
POST
/
query
/
autorag
Run AutoRAG agent over all data
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Body
application/json
Example:
"What do llamas drink to cool themselves down?"
Example:
"You're a prophet of the alpacalypse. Your task is to spit the word!"
Existing conversation to continue. Omit to start a new conversation; the id is returned on the run-started SSE event.
⌘I